> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/ja/apirifarensu-burandokdo/apirifarensu-burandokdo/inbaundoishuakara.md).

# インバウンド（イシュアから）

## Update funding card information

> This method is used by the issuer to update funding card information:\<br/>\
> \- new expiry date value in case of card renewal\
> \- new PAN and expiry date in case of card replacement\
> \
> \*\*The issuer receives a notifyVirtualCardChange per virtualCard (active or suspended) linked to the funding card that is updated.\*\*\<br/><br>

```json
{"openapi":"3.1.1","info":{"title":"Gemalto TSH Issuer Gateway Auxiliary API","version":"1.4.3"},"tags":[{"name":"Update Card"}],"servers":[{"url":"https://api.dbp.thalescloud.io/gtep/igwauxapi"}],"paths":{"/updateCard":{"post":{"summary":"Update funding card information","description":"This method is used by the issuer to update funding card information:<br/>\n- new expiry date value in case of card renewal\n- new PAN and expiry date in case of card replacement\n\n**The issuer receives a notifyVirtualCardChange per virtualCard (active or suspended) linked to the funding card that is updated.**<br/>\n","operationId":"updateCard","parameters":[{"$ref":"#/components/parameters/x-correlation-id-header"},{"$ref":"#/components/parameters/x-issuer-id-header"}],"responses":{"200":{"description":"updateCard response payload"},"400":{"description":"Bad Request, Invalid request URI or header, or unsupported nonstandard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorRes"}}}},"500":{"description":"Internal Server Error"}},"tags":["Update Card"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateCardReq"}}},"description":"updateCard request payload","required":true}}}},"components":{"parameters":{},"schemas":{"errorRes":{"type":"object","description":"Error Information Response","required":["responseCode"],"properties":{"responseCode":{"type":"number","description":"Error Response code to the request\n|Error code | Description|\n|-------|-------|\n|111|Missing mandatory parameter|\n|112|Bad parameter format|\n|113|Unknown issuer|\n|115|Unknown product|\n|116|Unknown card|\n|119|Unknown Token|\n|163|Product not supported for mobile payment|\n|164|FPAN Provisioning Count Exceeded|\n|166|Invalid FPAN|\n|167|Card already enrolled|\n|321|Operation on token already on-going|\n|322|Time to live of the operation expired|\n|431|Invalid perso data|\n|432|Current token state does not allow this operation|\n|911|Operation failed|\n|921|Unexpected server error|\n"},"errorMessage":{"type":"string","maxLength":256,"description":"Textual error message"}}},"updateCardReq":{"type":"object","properties":{"issuerCardRefId":{"$ref":"#/components/schemas/issuerCardRefId"},"newIssuerCardRefId":{"type":"string","description":"New issuerCardRefId to be updated, provided only if the issuerCardRefId change after a PAN, exp or productId replacement.<br/>\nNote, the **newIssuerCardRefId** is not mandatory and it is preferable to keep the same issuerCardRefId after updateCard<br/>\nThis field has been added to the API for issuers that are not able to manage the same identifier following a PAN/exp date update. \n","minLength":1,"maxLength":48},"fpanDetails":{"$ref":"#/components/schemas/fpanDetails"},"publicKeyIdentifier":{"type":"string","maxLength":32,"minLength":1,"description":"Identifier of the key used to encrypt fpanDetails.<br/>Provided by Thales to Issuer during onboarding."}},"required":["issuerCardRefId"]},"issuerCardRefId":{"type":"string","maxLength":48,"description":"The unique identifier of the funding card.<br/> This value is generated and managed by the issuer.<br/> This value can be updated in case of funding PAN replacement by the issuer.<br/>\n"},"fpanDetails":{"type":"string","description":"Old and new FPAN details (for example in case of card renewal).<br/>\n\nThis value is encrypted using the PKCS#7 encryption scheme defined in RFC 2315/5652 using following encryption parameters:<br/>\n* The content encryption algorithm used is AES256/CBC/PKCS7Padding using a randomly generated AES key.\n* The key encryption algorithm is RSA/NONE/OAEPWithSHA256AndMGF1Padding (with MGF1 using SHA-256) using the TSH certificate provided during onboarding.\n* The encryption result shall be provided as hexadecimal string.<br/>\n\nThe format of the data is:\n  **{\n   \"oldFPAN\": \"[0-9]{16,19}\",\n   \"oldExpDate\": \"MMYY\",\n   \"newFPAN\": \"[0-9]{16,19}\", \n   \"newExpDate\": \"MMYY\"\n  }**\n","maxLength":8192}}}}
```

## Get virtual card list information

> This method can be used to retrieve the list of virtual card(s) that belongs to a funding card.

```json
{"openapi":"3.1.1","info":{"title":"Gemalto TSH Issuer Gateway Auxiliary API","version":"1.4.3"},"tags":[{"name":"Get Card Info"}],"servers":[{"url":"https://api.dbp.thalescloud.io/gtep/igwauxapi"}],"paths":{"/getCardInfo":{"post":{"summary":"Get virtual card list information","description":"This method can be used to retrieve the list of virtual card(s) that belongs to a funding card.","operationId":"getCardInfo","parameters":[{"$ref":"#/components/parameters/x-correlation-id-header"},{"$ref":"#/components/parameters/x-issuer-id-header"}],"responses":{"200":{"description":"getCardInfo response payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getCardInfoRes"}}}},"400":{"description":"Bad Request, Invalid request URI or header, or unsupported nonstandard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorRes"}}}},"500":{"description":"Internal Server Error"}},"tags":["Get Card Info"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/getCardInfoReq"}}},"description":"getCardInfo request payload","required":true}}}},"components":{"parameters":{},"schemas":{"getCardInfoRes":{"type":"object","properties":{"issuerCardRefId":{"$ref":"#/components/schemas/issuerCardRefId"},"virtualCardList":{"type":"array","items":{"type":"object","properties":{"virtualCardId":{"$ref":"#/components/schemas/virtualCardId"},"issuerCardRefId":{"$ref":"#/components/schemas/issuerCardRefId"},"walletProviderId":{"$ref":"#/components/schemas/walletProviderId"},"walletCardRefId":{"type":"string","description":"Wallet card unique identifier.\n Not always provided by the Wallet provider.","minLength":1,"maxLength":128},"walletVirtualCardId":{"$ref":"#/components/schemas/walletVirtualCardId"},"deviceInformation":{"$ref":"#/components/schemas/deviceInformation"},"provisioningTime":{"type":"string","description":"If available, the provisioning time the Virtual card<br/>\nIn format **ISO 8601 YYYY-MM-DDThh:mm:ssTZD**\n","maxLength":32},"status":{"type":"string","description":"virtual card current status","maxLength":32,"enum":["DEPLOYMENT_ONGOING","SUSPENDED","RESUMED","DELETED"]}},"required":["virtualCardId","issuerCardRefId","walletProviderId","deviceInformation","status"]}}},"required":["issuerCardRefId"]},"issuerCardRefId":{"type":"string","maxLength":48,"description":"The unique identifier of the funding card.<br/> This value is generated and managed by the issuer.<br/> This value can be updated in case of funding PAN replacement by the issuer.<br/>\n"},"virtualCardId":{"description":"Unique identifier of the virtual card","type":"string","maxLength":64,"minLength":1},"walletProviderId":{"type":"string","description":"Wallet Provider identifier, defined by Thales:\n\n|walletProviderId|Description|\n|-------|-------|\n|FIDESMO_PAY|Fidesmo Pay Wallet|\n|DIGISEQ|Digiseq Wallet|\n|APPLE_PAY|Apple Pay Wallet|\n","minLength":1,"maxLength":128},"walletVirtualCardId":{"type":"string","description":"Wallet virtual card identifier.\nFor ApplePay, it corresponds to the DPANID.","minLength":1,"maxLength":128},"deviceInformation":{"type":"object","properties":{"tokenStorageId":{"$ref":"#/components/schemas/tokenStorageId"},"tokenStorageTyoe":{"$ref":"#/components/schemas/tokenStorageType"}},"required":["tokenStorageId"]},"tokenStorageId":{"type":"string","description":"Unique token storage identifier","minLength":1,"maxLength":128},"tokenStorageType":{"type":"string","description":"Identifies the type of token storage location, possible values are: <ul><li>PHONE <li>TABLET <li>WATCH <li>COMPUTER<li>REALITY<li>UNKNOWN</ul>\nThis list may evolve in the future.","maxLength":32},"errorRes":{"type":"object","description":"Error Information Response","required":["responseCode"],"properties":{"responseCode":{"type":"number","description":"Error Response code to the request\n|Error code | Description|\n|-------|-------|\n|111|Missing mandatory parameter|\n|112|Bad parameter format|\n|113|Unknown issuer|\n|115|Unknown product|\n|116|Unknown card|\n|119|Unknown Token|\n|163|Product not supported for mobile payment|\n|164|FPAN Provisioning Count Exceeded|\n|166|Invalid FPAN|\n|167|Card already enrolled|\n|321|Operation on token already on-going|\n|322|Time to live of the operation expired|\n|431|Invalid perso data|\n|432|Current token state does not allow this operation|\n|911|Operation failed|\n|921|Unexpected server error|\n"},"errorMessage":{"type":"string","maxLength":256,"description":"Textual error message"}}},"getCardInfoReq":{"type":"object","required":["issuerCardRefId"],"properties":{"issuerCardRefId":{"$ref":"#/components/schemas/issuerCardRefId"}}}}}}
```

## check if TSH is healthy

> This method is used by the Issuer to monitor TSH health

```json
{"openapi":"3.1.1","info":{"title":"Gemalto TSH Issuer Gateway Auxiliary API","version":"1.4.3"},"tags":[{"name":"Health check"}],"servers":[{"url":"https://api.dbp.thalescloud.io/gtep/igwauxapi"}],"paths":{"/healthCheck":{"get":{"summary":"check if TSH is healthy","description":"This method is used by the Issuer to monitor TSH health","operationId":"healthCheck","parameters":[{"$ref":"#/components/parameters/x-correlation-id-header"},{"$ref":"#/components/parameters/x-issuer-id-header"}],"responses":{"204":{"description":"Successful"},"400":{"description":"Bad Request, Invalid request URI or header, or unsupported nonstandard parameter"},"500":{"description":"Internal Server Error"}},"tags":["Health check"]}}},"components":{"parameters":{}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/ja/apirifarensu-burandokdo/apirifarensu-burandokdo/inbaundoishuakara.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
